#include <bits/stdc++.h>

using namespace std;

int main()
{
    int i,j,k;
    string s[3],ans,tmp;
    cin>>s[0]>>s[1]>>s[2];
    ans=s[0]+s[1]+s[2];
    for(i=0;i<3;i++){
        for(j=0;j<3;j++){
            if(j==i) continue;
            for(k=0;k<3;k++){
                if(k==i || k==j) continue;
                tmp=s[i]+s[j]+s[k];
                if(tmp>ans) ans=tmp;
            }
        }
    }
    cout<<ans<<endl;
    return 0;
}